VDIR(1)

BEZEICHNUNG
vdir - Verzeichnisinhalte auflisten

ÜBERSICHT
vdir [OPTION]… [DATEI]…

BESCHREIBUNG

Auflistung von Informationen über die DATEIen (Standardvorgabe ist das aktuelle Verzeichnis). Die Einträge werden alphabetisch sortiert, falls weder -cftuvSUX noch --sort angegeben wurden.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --all
    Einträge nicht ignorieren, die mit ».« beginnen

-A, --almost-all
    Die impliziten Einträge ».« und »..« nicht auflisten

--author
    Mit -l den Autor jeder Datei ausgeben

-b, --escape
    Bei nichtdruckbaren Zeichen Maskierungen im C-Stil ausgeben

--block-size=GRÖSSE
    skaliert mit -l beim Druck Größen durch GRÖSSE; z.B. »--block-size=M«; siehe GRÖSSE-Format unten.

-B, --ignore-backups
    Implizite Einträge, die auf »~« enden, nicht auflisten

-c  Mit -lt: Sortieren nach und Anzeigen von ctime (die Zeit der letzten Änderung der Statusinformation der Datei); mit -l: Anzeigen von ctime, sortieren nach Name; ansonsten: Sortieren nach ctime, neueste zuerst

-C  Einträge in Spalten auflisten

--color[=WANN]
    Farbige Ausgabe. WANN kann »always« (immer, Voreinstellung, wenn WANN nicht angegeben wird), »never« (niemals) oder »auto« (automatisch) sein. Weitere Informationen unten.

-d, --directory
    Verzeichnisse an sich auflisten, nicht deren Inhalte

-D, --dired
    Ausgabe erzeugen, die für Emacs' »dired«-Modus geeignet ist

-f  Nicht sortieren, -aU an‐ und -ls --color abschalten

-F, --classify
    Indikator (einer aus »*/=>@|«) an Einträge anhängen

--file-type
    Genauso, aber kein »*« anhängen

--format=WORT
    »across« -x, »commas« -m, »horizontal« -x, »long« -l, »single-column« -1, »verbose« -l, »vertical« -C

--full-time
    Wie -l --time-style=full-iso

-g  Wie -l, aber Besitzer nicht auflisten

--group-directories-first
    Verzeichnisse vor Dateien gruppieren;

    Kann mit einer --sort-Option erweitert werden, aber die Benutzung von --sort=none (-U) schaltet die Gruppierung ab

-G, --no-group
    Bei einem langen Listenformat die Gruppennamen nicht ausgeben

-h, --human-readable
    Mit -l und -s Größen in der Form 1K 234M 2G usw. ausgeben

--si
    Genauso, aber Potenzen von 1000 statt 1024 benutzen

-H, --dereference-command-line
    Symbolischen Links folgen, die auf der Befehlszeile aufgeführt sind

--dereference-command-line-symlink-to-dir
    Jedem symbolischen Link auf der Befehlszeile folgen,

    der auf ein Verzeichnis zeigt.

--hide=MUSTER
    Implizite Einträge, auf die das Shell‐MUSTER passt, nicht auflisten (wird durch -a oder -A außer Kraft gesetzt)

--hyperlink[=WANN]
    Dateinamen mit Hyperlink versehen. WANN kann »always« (immer, Voreinstellung, wenn WANN nicht angegeben wird), »never« (niemals) oder »auto« (automatisch) sein.

--indicator-style=WORT
    Indikator des Stils WORT an die Namen der Einträge anhängen: »none« (Standardvorgabe), »slash« (-p), »file-type« (--file-type), »classify« (-F)

-i, --inode
    Indexnummer jeder Datei ausgeben

-I, --ignore=MUSTER
    Implizite Einträge, auf die das Shell‐MUSTER passt, nicht auflisten

-k, --kibibytes
    1024-Byte-Blöcke als Voreinstellung für Platzverbrauch verwenden; wird nur mit -s und pro Verzeichnisgesamtwerte verwandt

-l  Langes Listenformat verwenden

-L, --dereference
    Beim Anzeigen der Dateiinformationen für einen symbolischen Link werden die Informationen für die Datei angezeigt, auf die der Link zeigt, statt für den Link selbst

-m  Die Breite mit einer durch Kommata getrennten Liste von Einträgen auffüllen

-n, --numeric-uid-gid
    Wie -l, aber numerische Benutzer- und Gruppenkennungen auflisten

-N, --literal
    Eintragsnamen ohne Anführungszeichen ausgeben

-o  Wie -l, aber Gruppeninformationen nicht auflisten

-p, --indicator-style=slash
    Den »/«-Indikator an Verzeichnisse anhängen

-q, --hide-control-chars
    Statt nichtgraphischer Zeichen »?« ausgeben

--show-control-chars
    Nicht darstellbare Zeichen anzeigen, wie sie sind (Standardvorgabe, außer wenn das Programm »ls« ist und die Ausgabe auf ein Terminal geht)

-Q, --quote-name
    Eintragsnamen in doppelte englische Anführungszeichen einschließen

--quoting-style=WORT
    Anführungszeichen‐Stil WORT für Eintragsnamen benutzen: literal, locale, shell, shell-always, shell-escape, shell-escape-always, c, escape (setzt die Umgebungsvariable QUOTING_STYLE außer Kraft)

-r, --reverse
    Umgekehrte Reihenfolge beim Sortieren

-R, --recursive
    Unterverzeichnisse rekursiv auflisten

-s, --size
    Die zugeteilte Größe jeder Datei in Blöcken ausgeben

-S  Nach Dateigröße sortieren, die größten zuerst

--sort=WORT
    Nach WORT anstatt nach Namen sortieren: »none« -U, »size« -S, »time« -t, »version« -v, »extension« -X

--time=WORT
    Mit -l Zeit als WORT statt der Änderungszeit anzeigen: »atime« -u, »access« -u, »use« -u, »ctime« -c oder »status« -c; die angegebene Zeit als Sortierschlüssel verwenden, wenn --sort=time angegeben wurde

--time-style=ZEITSTIL
    Zeit-/Datumsformat mit -l; siehe TIME_STYLE unten

-t  Nach Änderungszeit sortieren, neueste zuerst

-T, --tabsize=ANZAHL
    Tabulatorstopps nach jeweils ANZAHL Spalten setzen statt 8

-u  Mit -lt: Sortieren nach und Anzeigen der Zugriffszeit; mit -l: Anzeigen der Zugriffszeit, sortieren nach Name; ansonsten: Sortieren nach Zugriffszeit (neueste zuerst)

-U  Nicht sortieren; Einträge in der Reihenfolge des Verzeichnisses auflisten

-v  Natürliche Sortierung von (Versions)nummern im Text

-w, --width=BREITE
    setzt die Breite der Ausgabe auf BREITE. Wenn 0 angegeben wird, ist die Ausgabebreite nicht begrenzt.

-x  Einträge in Zeilen statt in Spalten auflisten

-X  Alphabetisch nach der Erweiterung des Eintrags sortieren

-Z, --context
    Jeden Sicherheitskontext jeder Datei anzeigen

-1  zeigt eine Datei pro Zeile an. Mit -q oder -b wird »\n« vermieden.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

GRÖSSE ist eine Ganzzahl und optionale Einheit (Beispiel: 10K ist 10*1024). Einheiten sind K, M, G, T, P, E, Z, Y (Potenzen von 1024) oder KB, MB, … (Potenzen von 1000). Es können auch binäre Präfixe verwandt werden: KiB=K, MiB=M und so weiter.

Das Argument TIME_STYLE kann full-iso, long-iso, iso, locale oder +FORMAT sein. FORMAT wird wie bei date(1) interpretiert. Falls FORMAT die Form FORMAT1<Zeilenumbruch>FORMAT2 hat, wird FORMAT1 für nicht kürzlich geänderte Dateien benutzt und FORMAT2 für kürzlich geänderte. Wird TIME_STYLE »posix« vorangestellt, hat dies nur außerhalb der POSIX-Locale einen Effekt. Auch setzt die Umgebungsvariable TIME_STYLE den zu verwendenden Standardstil.

Die Verwendung von Farben zur Unterscheidung von Dateitypen ist sowohl in der Voreinstellung als auch bei --color=never ausgeschaltet. Mit --color=auto gibt ls nur dann Farbcodes aus, wenn die Standardausgabe mit einem Terminal verbunden ist. Die Umgebungsvariable LS_COLORS kann diese Einstellungen ändern. Benutzen Sie den Befehl dircolors, um sie festzulegen.

  Rückgabewert:

0   wenn alles in Ordnung ist,

1   bei kleineren Problemen (z. B. kein Zugriff auf Unterverzeichnis),

2   bei ernsthaften Schwierigkeiten (z. B. kein Zugriff auf Befehlszeilenargument).

AUTOR
Geschrieben von Richard M. Stallman und David MacKenzie.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: <https://www.gnu.org/software/coreutils/>
Melden Sie Fehler in der Übersetzung an <https://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2019 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/vdir>
oder lokal verfügbar mit: info '(coreutils) vdir invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org>, Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.